Package org.eclipse.microprofile.lra.tck.participant.api

# Class NonParticipatingTckResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent
org.eclipse.microprofile.lra.tck.participant.api.NonParticipatingTckResource

@ApplicationScoped @Path("non-participating-tck-resource") public class NonParticipatingTckResource extends ResourceParent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`END_PATH`
`static final String`
`NEVER_PATH`
`static final String`
`START_AND_END_NESTED_PATH`
`static final String`
`START_AND_END_PATH`
`static final String`
`START_BUT_DONT_END_NESTED_PATH`
`static final String`
`START_BUT_DONT_END_PATH`
`static final String`
`START_LRA_VIA_REMOTE_INVOCATION`
`static final String`
`STATUS_CODE_QUERY_NAME`
`static final String`
`SUPPORTS_PATH`
`static final String`
`TCK_NON_PARTICIPANT_RESOURCE_PATH`

## Constructor Summary

Constructors
Constructor
Description
`NonParticipatingTckResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`endLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response`
`neverRunWithLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`notSupportedButCallServiceWhichStartsButDoesntEndAnLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`startAndDontEndNestedLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`startAndEndLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response`
`startAndEndNestedLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`startDontEndLRA(URI lraId, int coerceStatus)`
`jakarta.ws.rs.core.Response`
`supports(URI lraId)`

### Methods inherited from class org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

`afterLRA`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TCK_NON_PARTICIPANT_RESOURCE_PATH

public static final String TCK_NON_PARTICIPANT_RESOURCE_PATH

See Also:
  - Constant Field Values

### START_AND_END_PATH

public static final String START_AND_END_PATH

See Also:
  - Constant Field Values

### START_BUT_DONT_END_PATH

public static final String START_BUT_DONT_END_PATH

See Also:
  - Constant Field Values

### START_AND_END_NESTED_PATH

public static final String START_AND_END_NESTED_PATH

See Also:
  - Constant Field Values

### START_BUT_DONT_END_NESTED_PATH

public static final String START_BUT_DONT_END_NESTED_PATH

See Also:
  - Constant Field Values

### NEVER_PATH

public static final String NEVER_PATH

See Also:
  - Constant Field Values

### END_PATH

public static final String END_PATH

See Also:
  - Constant Field Values

### SUPPORTS_PATH

public static final String SUPPORTS_PATH

See Also:
  - Constant Field Values

### STATUS_CODE_QUERY_NAME

public static final String STATUS_CODE_QUERY_NAME

See Also:
  - Constant Field Values

### START_LRA_VIA_REMOTE_INVOCATION

public static final String START_LRA_VIA_REMOTE_INVOCATION

See Also:
  - Constant Field Values

## Constructor Details

### NonParticipatingTckResource

public NonParticipatingTckResource()

## Method Details

### neverRunWithLRA

@PUT @Path("/never") public jakarta.ws.rs.core.Response neverRunWithLRA(@HeaderParam("Long-Running-Action") URI lraId)

### supports

@PUT @Path("/supports") public jakarta.ws.rs.core.Response supports(@HeaderParam("Long-Running-Action") URI lraId)

### startAndEndLRA

@PUT @Path("/start-and-end") public jakarta.ws.rs.core.Response startAndEndLRA(@HeaderParam("Long-Running-Action") URI lraId, @DefaultValue("200") @QueryParam("Coerce-Status") int coerceStatus)

### startDontEndLRA

@PUT @Path("/start-dont-end") public jakarta.ws.rs.core.Response startDontEndLRA(@HeaderParam("Long-Running-Action") URI lraId, @DefaultValue("200") @QueryParam("Coerce-Status") int coerceStatus)

### endLRA

@PUT @Path("/end") public jakarta.ws.rs.core.Response endLRA(@HeaderParam("Long-Running-Action") URI lraId, @DefaultValue("200") @QueryParam("Coerce-Status") int coerceStatus)

### startAndEndNestedLRA

@PUT @Path("/start-nested-and-end") public jakarta.ws.rs.core.Response startAndEndNestedLRA(@HeaderParam("Long-Running-Action") URI lraId)

### startAndDontEndNestedLRA

@PUT @Path("/start-nested-and-dont-end") public jakarta.ws.rs.core.Response startAndDontEndNestedLRA(@HeaderParam("Long-Running-Action") URI lraId)

### notSupportedButCallServiceWhichStartsButDoesntEndAnLRA

@PUT @Path("/start-via-remote-invocation") public jakarta.ws.rs.core.Response notSupportedButCallServiceWhichStartsButDoesntEndAnLRA(@HeaderParam("Long-Running-Action") URI lraId)